%global _empty_manifest_terminate_build 0
%global pypi_name os-client-config


Summary:        OpenStack Client Configuration Library
Name:           python-%{pypi_name}
Version:        2.1.0
Release:        4%{?dist}
License:        Apache-2.0
URL:            https://github.com/openstack/%{pypi_name}
Source0:        https://pypi.io/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
The %{pypi_name} is a library for collecting client configuration for \
using an OpenStack cloud in a consistent and comprehensive manner. It \
will find cloud config for as few as 1 cloud and as many as you want to \
put in a config file. It will read environment variables and config files, \
and it also contains some vendor specific default values so that you don't \
have to know extra info to use OpenStack


%package -n python3-%{pypi_name}
Summary: Library for collecting client configuration of OpenStack 
BuildRequires: python3-jsonschema >= 2.6.0
BuildRequires: python3-openstacksdk python3-oslotest >= 1.10.0
BuildRequires: python3-fixtures python3-stestr python3-glanceclient >= 0.18.0
BuildRequires: python3-devel python3-setuptools python3-pbr python3-pip
Requires: python3-openstacksdk >= 0.13.0

%description -n python3-%{pypi_name}
The %{pypi_name} is a library for collecting client configuration for \
using an OpenStack cloud in a consistent and comprehensive manner. It \
will find cloud config for as few as 1 cloud and as many as you want to \
put in a config file. It will read environment variables and config files, \
and it also contains some vendor specific default values so that you don't \
have to know extra info to use OpenStack


%prep
%autosetup -n %{pypi_name}-%{version}
rm -f test-requirements.txt requirements.txt

%build
%{py3_build}

%install
%{py3_install}

%check
export OS_TEST_PATH='./os_client_config/tests'
export PATH=$PATH:%{buildroot}/usr/bin
export PYTHONPATH=$PWD
rm -rf .stestr
PYTHON=python3 stestr-3 --test-path $OS_TEST_PATH run


%files -n python3-%{pypi_name}
%license LICENSE
%doc ChangeLog CONTRIBUTING.rst PKG-INFO README.rst
%{python3_sitelib}/os_client_config
%{python3_sitelib}/*.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 cunshunxia <cunshunxia@tencent.com> - 2.1.0-1
- initial build
